<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__crypto__cli__srv__macros" kind="group">
    <compoundname>group_crypto_cli_srv_macros</compoundname>
    <title>Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__crypto__cli__srv__macros_1ga7cad37b39669bf7ec2994103962c73ad" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_SYNC_BLOCKING</name>
        <initializer>(true)</initializer>
        <briefdescription>
<para>Defines Crypto_Sync blocking execution type parameter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="73" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="73" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga8c9dbbac988d88bc7b8ec861b9e18836" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_SYNC_NON_BLOCKING</name>
        <initializer>(false)</initializer>
        <briefdescription>
<para>Defines Crypto_Sync non-blocking execution type parameter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="76" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="76" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga157e748d7385e1ddb9456ac5c6876506" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_DES_BLOCK_SIZE</name>
        <initializer>(8u)</initializer>
        <briefdescription>
<para>Defines the Crypto DES block size (in bytes). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="79" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="79" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1gab3da4ab588e3a092f75f68534e1f0fe5" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_DES_KEY_SIZE</name>
        <initializer>(<ref kindref="member" refid="group__group__crypto__cli__srv__macros_1ga157e748d7385e1ddb9456ac5c6876506">CY_CRYPTO_DES_BLOCK_SIZE</ref>)</initializer>
        <briefdescription>
<para>Defines the Crypto DES key size (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="82" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="82" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga1d31131b7e009e1f0314d6a5e6fc524a" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_TDES_KEY_SIZE</name>
        <initializer>(24u)</initializer>
        <briefdescription>
<para>Defines the Crypto TDES key size (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="85" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="85" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1gab966285a569cc381f21ca7ebb9918128" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_AES_BLOCK_SIZE</name>
        <initializer>(16u)</initializer>
        <briefdescription>
<para>Defines the Crypto AES block size (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="88" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="88" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga0170aa17289178203dcc2114a31c400e" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_AES_128_KEY_SIZE</name>
        <initializer>(16u)</initializer>
        <briefdescription>
<para>Defines the Crypto AES_128 key maximum size (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="91" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="91" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga3ee61ca60d974328793e03541ff2918d" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_AES_192_KEY_SIZE</name>
        <initializer>(24u)</initializer>
        <briefdescription>
<para>Defines the Crypto AES_192 key maximum size (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="94" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="94" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga0b49d7f139227541dbc20bcd2a1867a4" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_AES_256_KEY_SIZE</name>
        <initializer>(32u)</initializer>
        <briefdescription>
<para>Defines the Crypto AES_256 key maximum size (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="97" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="97" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga1fc34034d8fbf66afdbb78b8a32c5f2f" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_AES_MAX_KEY_SIZE</name>
        <initializer>(<ref kindref="member" refid="group__group__crypto__cli__srv__macros_1ga0b49d7f139227541dbc20bcd2a1867a4">CY_CRYPTO_AES_256_KEY_SIZE</ref>)</initializer>
        <briefdescription>
<para>Defines the Crypto AES key maximum size (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="100" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="100" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1gabb1df1ab7218bb3ea5a11cc53bba1c3a" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_AES_MAX_KEY_SIZE_U32</name>
        <initializer>(uint32_t)(<ref kindref="member" refid="group__group__crypto__cli__srv__macros_1ga1fc34034d8fbf66afdbb78b8a32c5f2f">CY_CRYPTO_AES_MAX_KEY_SIZE</ref> / 4ul)</initializer>
        <briefdescription>
<para>Defines the Crypto AES_256 key maximum size (in four-byte words) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="103" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="103" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga195c5e119202e4f8a5ab4dfa7cd97da3" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_AES_BLOCK_SIZE_U32</name>
        <initializer>(uint32_t)(<ref kindref="member" refid="group__group__crypto__cli__srv__macros_1gab966285a569cc381f21ca7ebb9918128">CY_CRYPTO_AES_BLOCK_SIZE</ref> / 4ul)</initializer>
        <briefdescription>
<para>Defines size of the AES block, in four-byte words. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="106" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="106" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga890e17cc87a2ad521453b44066bac55d" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_SHA1_DIGEST_SIZE</name>
        <initializer>(20u)</initializer>
        <briefdescription>
<para>Hash size for the SHA1 mode (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="112" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="112" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1gab006ece605717c19ad291bfc0b22b9b9" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_SHA224_DIGEST_SIZE</name>
        <initializer>(28u)</initializer>
        <briefdescription>
<para>Hash size for the SHA224 mode (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="114" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="114" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga82ff1a7671e4f0cf2026cbda5ef7e12a" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_SHA256_DIGEST_SIZE</name>
        <initializer>(32u)</initializer>
        <briefdescription>
<para>Hash size for the SHA256 mode (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="116" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="116" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1gae1574bdfa6d32d462322a8e51f057c66" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_SHA384_DIGEST_SIZE</name>
        <initializer>(48u)</initializer>
        <briefdescription>
<para>Hash size for the SHA384 mode (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="118" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="118" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga718a4d982353dd37307b98ef737d2acc" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_SHA512_DIGEST_SIZE</name>
        <initializer>(64u)</initializer>
        <briefdescription>
<para>Hash size for the SHA512 mode (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="120" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="120" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga9e2e9e680f4489a4d5815966224b0a51" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_SHA512_224_DIGEST_SIZE</name>
        <initializer>(28u)</initializer>
        <briefdescription>
<para>Hash size for the SHA512_224 mode (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="122" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="122" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga3843b61c2975d577bf12962d30c28323" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_SHA512_256_DIGEST_SIZE</name>
        <initializer>(32u)</initializer>
        <briefdescription>
<para>Hash size for the SHA512_256 mode (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="124" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="124" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga5dee7ef0268576f9d21689d12dd144e3" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_SHA_MAX_DIGEST_SIZE</name>
        <initializer>(<ref kindref="member" refid="group__group__crypto__cli__srv__macros_1ga718a4d982353dd37307b98ef737d2acc">CY_CRYPTO_SHA512_DIGEST_SIZE</ref>)</initializer>
        <briefdescription>
<para>The maximal Hash size for the SHA modes (in bytes). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="126" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="126" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga766fcf287332f2f30eecf81cf6e143eb" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_SHA1_BLOCK_SIZE</name>
        <initializer>(64u)</initializer>
        <briefdescription>
<para>Block size for the SHA1 mode (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="129" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="129" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga2e492aa7682a4455db7ec6545f533354" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_SHA256_BLOCK_SIZE</name>
        <initializer>(64u)</initializer>
        <briefdescription>
<para>Block size for the SHA256 mode (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="131" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="131" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1gad3ac63b82ab093bc214c097c30773b21" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_SHA512_BLOCK_SIZE</name>
        <initializer>(128u)</initializer>
        <briefdescription>
<para>Block size for the SHA512 mode (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="133" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="133" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga2c7ea67d6362498833d0e75afb05d5a4" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_SHA_MAX_BLOCK_SIZE</name>
        <initializer>(<ref kindref="member" refid="group__group__crypto__cli__srv__macros_1gad3ac63b82ab093bc214c097c30773b21">CY_CRYPTO_SHA512_BLOCK_SIZE</ref>)</initializer>
        <briefdescription>
<para>Maximal block size for the SHA modes (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="135" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="135" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga8e0c7904dd64232042907eae0534de5f" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_RSA1024_MESSAGE_SIZE</name>
        <initializer>CY_CRYPTO_BYTE_SIZE_OF_BITS(1024u)</initializer>
        <briefdescription>
<para>Processed message size for the RSA 1024Bit mode (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="169" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="169" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga6d2abd4c0fe5241b0be7b21184d307ae" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_RSA1536_MESSAGE_SIZE</name>
        <initializer>CY_CRYPTO_BYTE_SIZE_OF_BITS(1536u)</initializer>
        <briefdescription>
<para>Processed message size for the RSA 1536Bit mode (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="171" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="171" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga8ae686f0a6ba6ae2746516cf493a7a0e" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_RSA2048_MESSAGE_SIZE</name>
        <initializer>CY_CRYPTO_BYTE_SIZE_OF_BITS(2048u)</initializer>
        <briefdescription>
<para>Processed message size for the RSA 2048Bit mode (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="173" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="173" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1gaf1aa4491c03f553653ed9cf8596e8cab" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_RSA3072_MESSAGE_SIZE</name>
        <initializer>CY_CRYPTO_BYTE_SIZE_OF_BITS(3072u)</initializer>
        <briefdescription>
<para>Processed message size for the RSA 3072Bit mode (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="175" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="175" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga97b1c009758ecd26c03e00adae9d4617" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_RSA4096_MESSAGE_SIZE</name>
        <initializer>CY_CRYPTO_BYTE_SIZE_OF_BITS(4096u)</initializer>
        <briefdescription>
<para>Processed message size for the RSA 4096Bit mode (in bytes) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="177" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="177" />
      </memberdef>
      <memberdef id="group__group__crypto__cli__srv__macros_1ga9894c4d94948ffbc873f802d9f145fd5" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_ID</name>
        <initializer><ref kindref="member" refid="group__group__syslib__macros__status__codes_1ga45c44ce91d1e20c64430f00fd8ad9b0e">CY_PDL_DRV_ID</ref>(0x0Cu)</initializer>
        <briefdescription>
<para>Crypto Driver PDL ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="183" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="183" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>